<template>
  <header :class="['w-full', 'text-sm', headerHeightClass]">
    <div class="fixed top-0 left-0 w-full h-16 bg-white">
      <div
        class="flex flex-nowrap h-full px-8 mx-auto border-b border-solid border-brand-gray-1"
      >
        <router-link
          :to="{ name: 'Home' }"
          class="flex items-center h-full text-xl"
        >
          Billaking Careers
        </router-link>
        <nav class="h-full ml-12">
          <ul class="flex h-full p-0 m-0 list-none">
            <li
              v-for="menuItem in menuItems"
              :key="menuItem.text"
              class="h-full ml-9 first:ml-0"
              data-test="main-nav-list-item"
            >
              <router-link
                :to="menuItem.url"
                class="flex items-center h-full py-2.5"
              >
                {{ menuItem.text }}</router-link
              >
            </li>
          </ul>
        </nav>
        <div class="flex items-center h-full ml-auto">
          <action-button-vue
            v-if="!isLoggedIn"
            type="primary"
            data-test="login-button"
            text="Sign in"
            @click="loginUser"
          />
          <profile-image v-else data-test="profile-image" />
        </div>
      </div>

      <Subnav v-if="isLoggedIn" data-test="subnav" />
    </div>
  </header>
</template>

<script>
import ActionButtonVue from "@/components/shared/ActionButton.vue";
import ProfileImage from "./ProfileImage.vue";
import Subnav from "./SubNav";
export default {
  name: "MainNav",
  components: {
    ActionButtonVue,
    ProfileImage,
    Subnav,
  },
  data() {
    return {
      menuItems: [
        { url: "/", text: "Teams" },
        { url: "/", text: "Locations" },
        { url: "/", text: "Life at Billaking" },
        { url: "/", text: "How we hire" },
        { url: "/", text: "Students" },
        { url: "/job/results", text: "Jobs" },
      ],
      isLoggedIn: false,
    };
  },
  computed: {
    headerHeightClass() {
      return {
        "h-16": !this.isLoggedIn, // 64 pixels
        "h-32": this.isLoggedIn, // 128 pixels
      };
    },
  },
  methods: {
    loginUser() {
      this.isLoggedIn = true;
    },
  },
};
</script>
